maildirserial(1)

NAME
maildirserial - send a maildir through a client

SYNOPSIS
maildirserial [ -b ] [ -tlifetime ] dir prefix client [ arg ... ]

DESCRIPTION
maildirserial scans a maildir, dir, for messages whose envelope recipient addresses begin with prefix. It then invokes client (in the dir directory) and feeds client a list of 0-terminated filenames. client prints a series of results. Each result is a 0-terminated filename, a status byte, and an LF-terminated human-readable status message. The status byte is K if client has accepted the message, Z if client has temporarily rejected the message, or D if client has permanently rejected the message. maildirserial will remove messages accepted by client. maildirserial may run client repeatedly if client exits without handling all the files. maildirserial will give up if it is not making any progress.

OPTIONS

-b  Bounce permanently rejected messages back to the envelope sender, and then remove them.

-tlifetime
    Treat temporary rejection as permanent rejection for messages more than lifetime seconds old.

SEE ALSO
serialqmtp(1), serialsmtp(1), tcpclient(1), maildir(5), qmail-queue(8)